#!/usr/bin/env python
import os
import sys
import csv

class DialectSybase(csv.Dialect):
    delimiter = ','
    doublequote = True
    escapechar = None
    quotechar = '\''
    quoting = csv.QUOTE_MINIMAL
    lineterminator = '\n'

class DialectPgCOPY(csv.Dialect):
    delimiter = '\t'
    doublequote = False
    escapechar = None
    quotechar = None
    quoting = csv.QUOTE_NONE
    lineterminator = '\n'

#class DialectPgCOPY(csv.Dialect):
#    delimiter = '\t'
#    doublequote = True
#    escapechar = '\\'
#    quotechar = '\''
#    quoting = csv.QUOTE_NONE
#    lineterminator = '\n'

def unescape_item(item):
    ''' noop so far '''
    #if item.find("\\X") >= 0:
        #print repr(item)
    #return item
    return item.replace("\\X","\\x")

def unescape_row(row):
    newrow = []
    for item in row:
        newitem = item
        if type(item) == str:
            newitem = unescape_item(item)
        newrow.append(newitem)
    return newrow

def main(infn, outfn):
    infile = open(infn,'r')
    outfile = open(outfn,'w')

    r = csv.reader( infile, dialect=DialectSybase )
    w = csv.writer( outfile, dialect=DialectPgCOPY )

    for row in r:
        w.writerow(unescape_row(row))

if __name__ == '__main__':
    print "customers"
    main('customer.txt', 'customer_unescaped.txt')
    print "class"
    main('class.txt', 'class_unescaped.txt')
    print "orders"
    main('orders.txt', 'orders_unescaped.txt')
    print "items"
    main('items.txt', 'items_unescaped.txt')
